// ProObjFigureEmf.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
//#include "Env.h"			// For EmfImageID.
#include "ProObjFigureEmf.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureEmf _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjFigureEmf, CFCProObjProperty)

CFCProObjFigureEmf::CFCProObjFigureEmf () : CFCProObjProperty(CFCProObjFigureEmf::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjFigureEmf)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjFigureEmf::CFCProObjFigureEmf.

CFCProObjFigureEmf::~CFCProObjFigureEmf ()
{
} // CFCProObjFigureEmf::~CFCProObjFigureEmf.

void CFCProObjFigureEmf::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjFigureEmf)
	DDX_Control(pDX, IDC_FG3_STC_EMFIMAGE, m_stcEmfImage);
	//}}AFX_DATA_MAP
} // CFCProObjFigureEmf::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjFigureEmf, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjFigureEmf)
	ON_BN_CLICKED(IDC_FG3_BTN_EMF_IMAGE_SELECT, OnFg3BtnEmfImageSelect)
	ON_CBN_SELCHANGE(IDC_FG3_CMB_HORZ_MAP, OnSelchangeFg3CmbHorzMap)
	ON_CBN_SELCHANGE(IDC_FG3_CMB_VERT_MAP, OnSelchangeFg3CmbVertMap)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_FG3_BTN_EMF_IMAGE_UNSPECIFY, OnFg3BtnEmfImageUnspecify)
	ON_BN_CLICKED(IDC_FG3_BTN_EMF_IMAGE_UNUSE, OnFg3BtnEmfImageUnuse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureEmf _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

